Bug 1692933 - tmux-2.9a is available
Summary: tmux-2.9a is available
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tmux
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Filipe Rosset
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-26 17:09 UTC by Upstream Release Monitoring
Modified: 2019-05-26 11:54 UTC (History)
5 users (show)

Fixed In Version: tmux-2.9a-2.fc30 tmux-2.9a-2.fc28 tmux-2.9a-2.fc29
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-16 00:51:18 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Upstream Release Monitoring 2019-03-26 17:09:49 UTC
Latest upstream release: 2.9
Current version/release in rawhide: 2.8-3.fc30
URL: https://tmux.github.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4980/

Comment 1 Filipe Rosset 2019-04-01 10:48:30 UTC
https://github.com/tmux/tmux/releases/tag/2.9
tmux-2.9 is RC at this time, waiting for the final release to upgrade Fedora rpms.

Comment 2 Upstream Release Monitoring 2019-05-01 08:39:32 UTC
Latest upstream release: 2.9a
Current version/release in rawhide: 2.8-3.fc30
URL: https://tmux.github.io/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/4980/

Comment 3 Fedora Update System 2019-05-13 01:17:36 UTC
tmux-2.9-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-890e6f62d1

Comment 4 Fedora Update System 2019-05-13 01:17:40 UTC
tmux-2.9-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8579554855

Comment 5 Fedora Update System 2019-05-13 01:17:43 UTC
tmux-2.9-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-345ec85a2a

Comment 6 Fedora Update System 2019-05-13 01:36:27 UTC
tmux-2.9a-2.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-95655b7e5e

Comment 7 Fedora Update System 2019-05-13 01:36:31 UTC
tmux-2.9a-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a06cac569a

Comment 8 Fedora Update System 2019-05-13 01:36:35 UTC
tmux-2.9a-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8518784aa2

Comment 9 Fedora Update System 2019-05-14 01:53:28 UTC
tmux-2.9a-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-95655b7e5e

Comment 10 Fedora Update System 2019-05-14 03:36:09 UTC
tmux-2.9a-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-8518784aa2

Comment 11 Fedora Update System 2019-05-14 04:25:55 UTC
tmux-2.9a-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a06cac569a

Comment 12 Fedora Update System 2019-05-16 00:51:18 UTC
tmux-2.9a-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Ed Marshall 2019-05-16 20:15:12 UTC
FYI, this update broke existing configuration files:

* The individual -fg, -bg and -attr options have been removed; they
  were superseded by -style options in tmux 1.9.

It may have been a bad idea to update to this in the middle of a stable release (F30).

Comment 14 Filipe Rosset 2019-05-16 23:31:17 UTC
(In reply to Ed Marshall from comment #13)
> It may have been a bad idea to update to this in the middle of a stable
> release (F30).

Hi Ed, thanks for your comment, but for while I don't think so, you always can fix your configuration OR do downgrade/exclude tmux upgrades on dnf.conf

Comment 15 David Cantrell 2019-05-19 21:21:37 UTC
I think Ed has a valid point here.  2.9a is appropriate for rawhide, but on stable branches the changes should be minimal unless the userbase is broadly asking for it.  If the case for updating to 2.9a is strong, as maintainers we should ensure we communicate to users what things are going to change.  I find it odd that upstream removed those options in a release numbered "2.9a", so maybe it's worth investigating upstream to see what the reasoning was for it.

Filipe, advising users to explicitly downgrade or exclude packages from system updates in dnf sort of defeats the purpose of a stable release.  In certain cases it may be a good idea, but I don't think it's a good idea here.

Ed, I'd advise downvoting the update on bodhi with an explanation in a comment.

Comment 16 Fedora Update System 2019-05-26 03:35:37 UTC
tmux-2.9a-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2019-05-26 11:54:22 UTC
tmux-2.9a-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.